Package org.opensaml.xmlsec.keyinfo

# Enum Class KeyInfoCredentialResolutionMode.Mode

java.lang.Object
java.lang.Enum<KeyInfoCredentialResolutionMode.Mode>
org.opensaml.xmlsec.keyinfo.KeyInfoCredentialResolutionMode.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<KeyInfoCredentialResolutionMode.Mode>`, `Constable`

Enclosing class:
  KeyInfoCredentialResolutionMode

public static enum KeyInfoCredentialResolutionMode.Mode extends Enum<KeyInfoCredentialResolutionMode.Mode>
Credential resolution mode.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTH`
Public and local credential mode.
`LOCAL`
Local credential mode.
`PUBLIC`
Public credential mode.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Mode()`

## Method Summary

Modifier and Type
Method
Description
`static KeyInfoCredentialResolutionMode.Mode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeyInfoCredentialResolutionMode.Mode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PUBLIC

public static final KeyInfoCredentialResolutionMode.Mode PUBLIC
Public credential mode.

### LOCAL

public static final KeyInfoCredentialResolutionMode.Mode LOCAL
Local credential mode.

### BOTH

public static final KeyInfoCredentialResolutionMode.Mode BOTH
Public and local credential mode.

## Constructor Details

### Mode

private Mode()

## Method Details

### values

public static KeyInfoCredentialResolutionMode.Mode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static KeyInfoCredentialResolutionMode.Mode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null